#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static libraries
#
Summary:	GLib geocoding library that uses the Yahoo! Place Finder service
Summary(pl.UTF-8):	Biblioteka GLib do geokodowania wykorzystująca serwis Yahoo! Place Finder
Name:		geocode-glib
Version:	3.18.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://download.gnome.org/sources/geocode-glib/3.18/%{name}-%{version}.tar.xz
# Source0-md5:	a39cbc80c4a55c223abf9bcf67e0285e
URL:		https://developer.gnome.org/geocode-glib/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-tools >= 0.18
BuildRequires:	glib2-devel >= 1:2.34
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.6.3
BuildRequires:	gtk-doc >= 1.13
BuildRequires:	json-glib-devel >= 0.99.2
BuildRequires:	libsoup-devel >= 2.4
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.34
Requires:	json-glib >= 0.99.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
geocode-glib allows you to do geocoding (going from a place name, to a
longitude/latitude pair) and reverse geocoding (finding a place name
from coordinates).

%description -l pl.UTF-8
Ten pakiet umożliwia geokodowanie (kodowanie geograficzne - zamianę
nazwy miejsca na parę długość/szerokość geograficzna) oraz odwrotne
geokodowanie (odnajdywanie nazwy miejsca na podstawie współrzędnych).

%package devel
Summary:	Header files for geocode-glib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki geocode-glib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.34

%description devel
Header files for geocode-glib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki geocode-glib.

%package static
Summary:	Static geocode-glib library
Summary(pl.UTF-8):	Statyczna biblioteka geocode-glib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static geocode-glib library.

%description static -l pl.UTF-8
Statyczna biblioteka geocode-glib.

%package apidocs
Summary:	geocode-glib API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki geocode-glib
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
API documentation for geocode-glib library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki geocode-glib.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable_disable apidocs gtk-doc} \
	--disable-silent-rules \
	%{__enable_disable static_libs static} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgeocode-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgeocode-glib.so.0
%{_libdir}/girepository-1.0/GeocodeGlib-1.0.typelib
%{_iconsdir}/gnome/scalable/places/poi-*.svg

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgeocode-glib.so
%{_libdir}/libgeocode-glib.la
%{_includedir}/geocode-glib-1.0
%{_datadir}/gir-1.0/GeocodeGlib-1.0.gir
%{_pkgconfigdir}/geocode-glib-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgeocode-glib.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/geocode-glib-1.0
%endif
%changelog
* Sat Sep 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/geocode-glib.git;a=log;h=master

* Sat Sep 26 2015 Łukasz Kieś <kiesiu@pld-linux.org> cfd9b35
- updated to 3.18.0

* Wed May 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 158d8d2
- updated to 3.16.2

* Fri Mar 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> 7cc58cb
- updated to 3.16.0

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> cabccef
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 3ded54b
- updated gettext BR

* Wed Oct 01 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 0c92ce2
- Update to 3.14.0

* Wed May 14 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 101d51d
- Update to 3.12.2

* Tue Mar 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 01368b7
- updated to 3.12.0

* Wed Sep 25 2013 Jakub Bogusz <qboosh@pld-linux.org> a2b3d9f
- updated to 3.10.0

* Wed Sep 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 79096ff
- updated to 0.99.4
- removed obsolete link patch

* Tue Sep 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 9a0a3d3
- updated to 0.99.3

* Thu Aug 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 4055f09
- updated to 0.99.2; GeoIP code has been moved to geoclue
- added link patch (fixes shared library linking, needs libm)

* Fri Aug 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 86cb3a7
- updated to 0.99.1 (note: backward compatibility broken)

* Sun Mar 31 2013 Jakub Bogusz <qboosh@pld-linux.org> e78f520
- pl, install time dependencies

* Wed Mar 27 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 9a70b75
- Initial release

